package com.ruoyi.cms.service;

import java.util.List;
import com.ruoyi.cms.domain.CompanyCard;
import com.ruoyi.cms.domain.vo.CompanyCardVO;

/**
 * 公司卡片Service接口
 * 
 * @author ${author}
 * @date 2025-02-18
 */
public interface ICompanyCardService 
{
    /**
     * 查询公司卡片
     * 
     * @param companyCardId 公司卡片主键
     * @return 公司卡片
     */
    public CompanyCard selectCompanyCardByCompanyCardId(Long companyCardId);

    /**
     * 查询公司卡片列表
     * 
     * @param companyCard 公司卡片
     * @return 公司卡片集合
     */
    public List<CompanyCard> selectCompanyCardList(CompanyCard companyCard);

    /**
     * 新增公司卡片
     * 
     * @param companyCard 公司卡片
     * @return 结果
     */
    public int insertCompanyCard(CompanyCard companyCard);

    /**
     * 修改公司卡片
     * 
     * @param companyCard 公司卡片
     * @return 结果
     */
    public int updateCompanyCard(CompanyCard companyCard);

    /**
     * 批量删除公司卡片
     * 
     * @param companyCardIds 需要删除的公司卡片主键集合
     * @return 结果
     */
    public int deleteCompanyCardByCompanyCardIds(Long[] companyCardIds);

    List<CompanyCardVO> cardApp();

    void cardCollection(Long companyCardId);

    void cardCancel(Long companyCardId);
}